net.sourceforge.pmd.cpd

## Class MatchCollector

- java.lang.Object
- - net.sourceforge.pmd.cpd.MatchCollector

-     public class MatchCollector
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatchCollector(MatchAlgorithm ma)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collect(List<TokenEntry> marks)`
    `List<Match>` | `getMatches()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MatchCollector

          public MatchCollector(MatchAlgorithm ma)

  - ### Method Detail

    - #### collect

          public void collect(List<TokenEntry> marks)

    - #### getMatches

          public List<Match> getMatches()

Copyright © 2002-2013 InfoEther. All Rights Reserved.